{ Algorithm: Sort: Distribution Counting Sort }
program distributionCountingSort(output);
const n = 100;
	m = 1000;
type table = array[1..n] of integer;
var a : table;

{ Distribution Counting Sort Algorithm }
procedure sort(var t : table);
var i,j,k : integer;
	count : array[0..m] of integer;
begin
	{------- initialize count -------}
	for i := 0 to m do count[i] := 0;
	{------- count up -------}
	for j := 1 to n do count[t[j]] := count[t[j]] + 1;
	{------- create new sequence from counts -------}
	k := 1;
	for i := 0 to m do begin
		for j := 1 to count[i] do begin
			t[k] := i;
			k := k + 1;
		end;
	end;
end;

{ Create Input Data }
procedure init(var t : table);
var i : integer;
begin
	for i := 1 to n do t[i] := trunc(random * 1000);
end;

{ Print Data }
procedure print(var t : table);
var i : integer;
begin
	for i:= 1 to n do begin
		write(t[i]:4);
		if 0 = i mod 10 then writeLn;
	end;
end;

{ Main }
begin
	init(a);
	writeLn('Input Data:');
	print(a);
	writeLn;
	sort(a);
	writeLn('Sorted Data:');
	print(a);
end.
