{ Algorithm: Sort: Selection Sort }
program selectionSort(output);
const n = 100;
type table = array[1..n] of integer;
var a : table;

{ Selection Sort Algorithm }
procedure sort(var t : table);
var i,j,w,min,minpos : integer;
begin
	for i := 1 to n-1 do begin
		min := t[i];
		minpos := i;
		for j := i+1 to n do begin
			if min > t[j] then begin
				min := t[j];
				minpos := j;
			end;
		end;
		{ swap i and minpos }
		if i <> minpos then begin
			w := t[i];
			t[i] := t[minpos];
			t[minpos] := w;
		end;
	end;
end;

{ Create Input Data }
procedure init(var t : table);
var i : integer;
begin
	for i := 1 to n do t[i] := trunc(random * 1000);
end;

{ Print Data }
procedure print(var t : table);
var i : integer;
begin
	for i:= 1 to n do begin
		write(t[i]:4);
		if 0 = i mod 10 then writeLn;
	end;
end;

{ Main }
begin
	init(a);
	writeLn('Input Data:');
	print(a);
	writeLn;
	sort(a);
	writeLn('Sorted Data:');
	print(a);
end.
