{ Algorithm: Sort: Insertion Sort }
program insertionSort(output);
const n = 100;
type table = array[1..n] of integer;
var a : table;

{ Insertion Sort Algorithm }
procedure sort(var t : table);
var i,j,w : integer;
	br : Boolean;
begin
	for i := 2 to n do begin
		w := t[i];
		j := i;
		br := false;
		repeat
			if t[j-1] > w then begin
				t[j] := t[j-1];
				j := j - 1;
			end else begin
				br := true;
			end;
		until (1 = j) or br;
		t[j] := w;
	end;
end;

{ Create Input Data }
procedure init(var t : table);
var i : integer;
begin
	for i := 1 to n do t[i] := trunc(random * 1000);
end;

{ Print Data }
procedure print(var t : table);
var i : integer;
begin
	for i:= 1 to n do begin
		write(t[i]:4);
		if 0 = i mod 10 then writeLn;
	end;
end;

{ Main }
begin
	init(a);
	writeLn('Input Data:');
	print(a);
	writeLn;
	sort(a);
	writeLn('Sorted Data:');
	print(a);
end.
