(* graphic test *)
#option 'gs'

program graphic(input, g);
var g : text;
	i : integer;

procedure drawLine(x1, y1, x2, y2 : integer);
begin
	writeln(g, 'LINE (', x1, ', ', y1, ')-(', x2, ', ', y2, ')');
end;

begin
	rewrite(g);
	writeln(g, 'WINDOW 200, 200');
	writeln(g, 'VIEW (-100, -100)-(100, 100)');

	for i := -10 to 10 do begin
		drawLine(i * 10, -100, -100, i * (-10));
	end;

	writeln(g, 'CLEAR (-50, -50)-(50, 50), 3');
	writeln(g, 'FONT 18, 3');
	writeln(g, 'PRINT "Hello! {", (-80, 0)');
	readln;
	writeln(g, 'CLEAR');
	readln;
	writeln(g, 'CLOSE');
end.

