(* graphic test 2*)
#Option 'gs'

Program graphic2(g);
Const STEP = 10;
	COUNT = 100 / STEP;
Var g : Text;
	i : Integer;

Procedure drawLine(x1, y1, x2, y2 : Integer);
Begin
	writeLn(g, 'LINE (', x1, ', ', y1, ')-(', x2, ', ', y2, '), 10, BF');
End;

Procedure drawEllipse(x1, y1, x2, y2 : Integer);
Begin
	writeLn(g, 'ELLIPSE (', x1, ', ', y1, ')-(', x2, ', ', y2, '), 5');
End;

Begin
	rewrite(g);
	writeLn(g, 'WINDOW 200, 200');
	writeLn(g, 'VIEW (-100, 100)-(100, -100)');

	For i := -COUNT To COUNT Do Begin
		drawEllipse(i * STEP, -100, -100, i * (-STEP));
	End;

	writeLn(g, 'CLEAR (-50, -50)-(50, 50)');
	writeLn(g, 'ARC (-90, -50)-(90, 50), 12, (10, 10)-(-10, 10)');
	writeLn(g, 'FONT 18, 3');
	writeLn(g, 'PRINT "Hello! {", (-80, 0)');
End.
