{ Algorithm: Equation: Bisection Method }

program bisectionMethod(output);
var z : real;

function solve(function f(r : real) : real; low,high : real) : real;
const width = 1e-10;
var sign,mid : real;
	count : integer;
begin
	sign := f(low);
	count := 0;
	while width < (high - low) do begin
		mid := (high + low) / 2;
		if 0 < sign * f(mid) then low := mid else high := mid;
		count := count + 1;
		writeLn('[', count, '] f(', mid::16, ') = ', f(mid)::16);
	end;
	solve := mid;
end;

procedure print(function f(r : real) : real; x : real);
begin
	writeLn('f(',x::16, ') = ', f(x)::16);
end;

function fn(x : real) : real;
begin
	fn := cos(x) - x;
end;

{ Main }
begin
	z := solve(fn,-1.0,1.0);
	print(fn,z);
end.