{ Algorithm: Equation: Secant Method }

program secantMethod(output);
var z : real;

function solve(function f(r : real) : real; low,high : real) : real;
const prec = 1e-10;
var xnext,xprev,xcur,next,prev,cur : real;
	count : integer;
begin
	prev := low;
	cur := high;
	xprev := f(prev);
	xcur := f(cur);
	count := 0;
	repeat
		next := cur - ((prev - cur) / (xprev - xcur)) * xcur;
		xnext := f(next);
		prev := cur;
		xprev := xcur;
		cur := next;
		xcur := xnext;
		count := count + 1;
		writeLn('[', count, '] f(', cur::16, ') = ', xcur::16);
	until abs(xcur) < prec;
	solve := cur;
end;

procedure print(function f(r : real) : real; x : real);
begin
	writeLn('f(',x::16, ') = ', f(x)::16);
end;

function fn(x : real) : real;
begin
	fn := cos(x) - x;
end;

{ Main }
begin
	z := solve(fn,-1.0,1.0);
	print(fn,z);
end.