{ Algorithm: Sort: Bin Sort }
program binSort(output);
const n = 100;
	m = 1000;
type table = array[1..n] of integer;
var a : table;

{ Bin Sort Algorithm }
procedure sort(var t : table);
var i,j : integer;
	bin : packed array[0..m] of Boolean;
begin
	{------- initialize bins -------}
	for i := 0 to m do bin[i] := false;
	{------- put into bins -------}
	for j := 1 to n do bin[t[j]] := true;
	{------- take out of bins -------}
	j := 1;
	for i := 0 to m do begin
		if bin[i] then begin
			t[j] := i;
			j := j + 1;
		end;
	end;
	{------- delete repeated data ------}
	for j := j to n do t[j] := 0;
end;

{ Create Input Data }
procedure init(var t : table);
var i : integer;
begin
	for i := 1 to n do t[i] := trunc(random * 1000);
end;

{ Print Data }
procedure print(var t : table);
var i : integer;
begin
	for i:= 1 to n do begin
		write(t[i]:4);
		if 0 = i mod 10 then writeLn;
	end;
end;

{ Main }
begin
	init(a);
	writeLn('Input Data:');
	print(a);
	writeLn;
	sort(a);
	writeLn('Sorted Data:');
	print(a);
end.
