{ Algorithm: Sort: Radix Sort }
program radixSort(output);
const n = 100;
	m = 1000;
type table = array[1..n] of integer;
var a : table;

{ Radix Sort Algorithm }
procedure sort(var t : table);
const radix = 10;
var i,j,k,denom : integer;
	work : table;
	count : array[0..radix-1] of integer;
begin
	denom := 1;
	while denom < m do begin
		for i := 0 to radix-1 do count[i] := 0;
		for j := 1 to n do begin
			k := (t[j] div denom) mod radix;
			count[k] := count[k] + 1;
		end;
		for i := 1 to radix-1 do count[i] := count[i-1] + count[i];
		for j := n downto 1 do begin
			k := (t[j] div denom) mod radix;
			work[count[k]] := t[j];
			count[k] := count[k] - 1;
		end;
		for j := 1 to n do t[j] := work[j];
		denom := denom * radix;
	end;
end;

{ Create Input Data }
procedure init(var t : table);
var i : integer;
begin
	for i := 1 to n do t[i] := trunc(random * 1000);
end;

{ Print Data }
procedure print(var t : table);
var i : integer;
begin
	for i:= 1 to n do begin
		write(t[i]:4);
		if 0 = i mod 10 then writeLn;
	end;
end;

{ Main }
begin
	init(a);
	writeLn('Input Data:');
	print(a);
	writeLn;
	sort(a);
	writeLn('Sorted Data:');
	print(a);
end.
