{ Graphics }
#option 'gs'
{
	note: Option 'g' links the first external file to a graphic stream.
}

program graphics(g);
const deno = 32;
var i, x, y : integer;
	theta : real;
	forecolor : integer;
	g : text;

procedure gInit(left,top,right,bottom : integer);
begin
	rewrite(g);
	writeLn(g, 'WINDOW ', abs(right - left), ',', abs(bottom - top));
	writeLn(g, 'VIEW (', left, ',', top, ')-(', right, ',', bottom, ')');
	forecolor := 0;
end;

procedure moveTo(x,y:integer);
begin
	writeLn(g, 'MOVE (', x, ',', y, ')');
end;

procedure lineTo(x,y:integer);
begin
	writeLn(g, 'LINE -(', x, ',', y, ')');
end;

{ Main }
begin
	gInit(-150, -150, 150, 150);
	moveTo(0, 0);

	for i := 0 to deno do begin
		theta := 6.2832 / deno * i;
		x := trunc(150.0 * cos(theta));
		y := trunc(150.0 * sin(theta));
		lineTo(x, y);
	end;
	
	writeLn(g, 'FONT 40, 3');
	writeLn(g, 'PRINT "Circle", (-50,0), 2');
end.
end.